"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommandOptions = void 0;
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const clime_1 = require("clime");
const symbol_sdk_1 = require("symbol-sdk");
const profile_options_1 = require("../../interfaces/profile.options");
const hexAddress_resolver_1 = require("../../resolvers/hexAddress.resolver");
class CommandOptions extends profile_options_1.ProfileOptions {
}
__decorate([
    clime_1.option({
        flag: 'a',
        description: 'Address.',
    }),
    __metadata("design:type", String)
], CommandOptions.prototype, "address", void 0);
exports.CommandOptions = CommandOptions;
let default_1 = class default_1 extends clime_1.Command {
    constructor() {
        super();
    }
    async execute(options) {
        const address = await new hexAddress_resolver_1.HexAddressResolver().resolve(options);
        console.log(symbol_sdk_1.Address.createFromEncoded(address).pretty());
    }
};
__decorate([
    clime_1.metadata,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [CommandOptions]),
    __metadata("design:returntype", Promise)
], default_1.prototype, "execute", null);
default_1 = __decorate([
    clime_1.command({
        description: 'Address hex -> Address Base 32 converter.',
    }),
    __metadata("design:paramtypes", [])
], default_1);
exports.default = default_1;
