"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AnnounceTransactionsOptions = void 0;
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const clime_1 = require("clime");
const profile_options_1 = require("./profile.options");
/**
 * Announce transactions options
 */
class AnnounceTransactionsOptions extends profile_options_1.ProfileOptions {
}
__decorate([
    clime_1.option({
        flag: 'p',
        description: 'Profile password.',
    }),
    __metadata("design:type", String)
], AnnounceTransactionsOptions.prototype, "password", void 0);
__decorate([
    clime_1.option({
        flag: 'f',
        description: 'Maximum fee (absolute amount).',
    }),
    __metadata("design:type", String)
], AnnounceTransactionsOptions.prototype, "maxFee", void 0);
__decorate([
    clime_1.option({
        description: '(Optional) Wait until the server confirms or rejects the transaction.',
        toggle: true,
    }),
    __metadata("design:type", Object)
], AnnounceTransactionsOptions.prototype, "sync", void 0);
__decorate([
    clime_1.option({
        description: '(Optional) Announce the transaction without double confirmation.',
        toggle: true,
    }),
    __metadata("design:type", Object)
], AnnounceTransactionsOptions.prototype, "announce", void 0);
__decorate([
    clime_1.option({
        flag: 'M',
        description: 'Transaction announcement mode (normal, multisig)',
    }),
    __metadata("design:type", String)
], AnnounceTransactionsOptions.prototype, "mode", void 0);
__decorate([
    clime_1.option({
        flag: 'S',
        description: '(Multisig only) Transaction signer public key',
    }),
    __metadata("design:type", String)
], AnnounceTransactionsOptions.prototype, "signer", void 0);
__decorate([
    clime_1.option({
        flag: 'F',
        description: '(Multisig aggregate bonded only) Maximum fee (absolute amount) to announce the hash lock transaction.',
    }),
    __metadata("design:type", String)
], AnnounceTransactionsOptions.prototype, "maxFeeHashLock", void 0);
__decorate([
    clime_1.option({
        flag: 'D',
        description: '(Multisig aggregate bonded only) Hash lock duration expressed in blocks.',
        default: '480',
    }),
    __metadata("design:type", String)
], AnnounceTransactionsOptions.prototype, "lockDuration", void 0);
__decorate([
    clime_1.option({
        flag: 'L',
        description: '(Multisig aggregate bonded only) Relative amount of network mosaic to lock.',
        default: '10',
    }),
    __metadata("design:type", String)
], AnnounceTransactionsOptions.prototype, "lockAmount", void 0);
exports.AnnounceTransactionsOptions = AnnounceTransactionsOptions;
