"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CreateProfileOptions = void 0;
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const clime_1 = require("clime");
const profile_options_1 = require("./profile.options");
/**
 * Create profile options.
 */
class CreateProfileOptions extends profile_options_1.ProfileOptions {
}
__decorate([
    clime_1.option({
        description: '(Optional) Create an HD wallet.',
        toggle: true,
    }),
    __metadata("design:type", Boolean)
], CreateProfileOptions.prototype, "hd", void 0);
__decorate([
    clime_1.option({
        flag: 'u',
        description: '(Optional) When saving profile, provide a Symbol Node URL. Example: http://localhost:3000',
    }),
    __metadata("design:type", String)
], CreateProfileOptions.prototype, "url", void 0);
__decorate([
    clime_1.option({
        flag: 'n',
        description: '(Optional) Network Type. (MAIN_NET, TEST_NET, PRIVATE, PRIVATE_TEST, MIJIN, MIJIN_TEST)',
    }),
    __metadata("design:type", String)
], CreateProfileOptions.prototype, "network", void 0);
__decorate([
    clime_1.option({
        flag: 'p',
        description: '(Optional) When saving profile, provide the password.',
    }),
    __metadata("design:type", String)
], CreateProfileOptions.prototype, "password", void 0);
__decorate([
    clime_1.option({
        flag: 'd',
        description: '(Optional) Set the profile as default.',
        toggle: true,
    }),
    __metadata("design:type", Object)
], CreateProfileOptions.prototype, "default", void 0);
__decorate([
    clime_1.option({
        flag: 'g',
        description: '(Optional) Generation hash of the network. Required to create the profile offline.',
    }),
    __metadata("design:type", String)
], CreateProfileOptions.prototype, "generationHash", void 0);
__decorate([
    clime_1.option({
        flag: 'i',
        description: '(Optional) Namespace Name of the network mosaic. (eg.: symbol.xym) Required to create the profile offline.',
    }),
    __metadata("design:type", String)
], CreateProfileOptions.prototype, "namespaceId", void 0);
__decorate([
    clime_1.option({
        flag: 'v',
        description: '(Optional) Divisibility of the network mosaic. (eg.: 6) Required to create the profile offline.',
    }),
    __metadata("design:type", Number)
], CreateProfileOptions.prototype, "divisibility", void 0);
__decorate([
    clime_1.option({
        flag: 'e',
        description: '(Optional) The epoch adjustment network configuration in seconds used to created the transaction`s deadline. (eg.: 1573430400) Required to create the profile offline.',
    }),
    __metadata("design:type", Number)
], CreateProfileOptions.prototype, "epochAdjustment", void 0);
exports.CreateProfileOptions = CreateProfileOptions;
