"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImportProfileOptions = void 0;
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
const clime_1 = require("clime");
const create_profile_options_1 = require("./create.profile.options");
/**
 * Create profile options.
 */
class ImportProfileOptions extends create_profile_options_1.CreateProfileOptions {
}
__decorate([
    clime_1.option({
        flag: 'P',
        description: 'Account private key.',
    }),
    __metadata("design:type", String)
], ImportProfileOptions.prototype, "privateKey", void 0);
__decorate([
    clime_1.option({
        flag: 'M',
        description: '(Optional) Import a profile using a mnemonic.',
    }),
    __metadata("design:type", String)
], ImportProfileOptions.prototype, "mnemonic", void 0);
__decorate([
    clime_1.option({
        flag: 'N',
        description: '(Optional) HD wallet path number.',
    }),
    __metadata("design:type", Number)
], ImportProfileOptions.prototype, "pathNumber", void 0);
__decorate([
    clime_1.option({
        flag: 'O',
        description: '(Optional) Whether it is an Opt-in account. (Default: false)',
        toggle: true,
    }),
    __metadata("design:type", Boolean)
], ImportProfileOptions.prototype, "optin", void 0);
exports.ImportProfileOptions = ImportProfileOptions;
