"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HashResolver = void 0;
const options_resolver_1 = require("../options-resolver");
const hash_validator_1 = require("../validators/hash.validator");
/**
 * Hash resolver
 */
class HashResolver {
    /**
     * Resolves a hash provided by the user.
     * @param {Options} options - Command options.
     * @param {string} altText - Alternative text.
     * @param {string} altKey - Alternative key.
     * @returns {Promise<string>}
     */
    async resolve(options, altText, altKey) {
        const resolution = await options_resolver_1.OptionsResolver(options, altKey ? altKey : 'hash', () => undefined, altText ? altText : 'Enter a transaction hash:', 'text', new hash_validator_1.HashValidator());
        return resolution;
    }
}
exports.HashResolver = HashResolver;
