"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OffsetResolver = void 0;
const options_resolver_1 = require("../options-resolver");
/**
 * Offset resolver
 */
class OffsetResolver {
    /**
     * Resolves an offset provided by a user.
     * @param {Options} options - Command options.
     * @param {string} altText - Alternative text.
     * @param {string} altKey - Alternative key.
     * @return {Promise<string>}
     */
    async resolve(options, altText, altKey) {
        const value = await options_resolver_1.OptionsResolver(options, altKey ? altKey : 'offset', () => undefined, altText ? altText : 'Enter an offset:', 'text', undefined);
        return value;
    }
}
exports.OffsetResolver = OffsetResolver;
