"use strict";
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.PathNumberResolver = void 0;
const options_resolver_1 = require("../options-resolver");
/**
 * Path number resolver
 */
class PathNumberResolver {
    /**
     * Resolves a path number provided by the user.
     * @returns {Promise<number>}
     */
    async resolve(options) {
        const choices = [...Array(10).keys()].map((key) => ({
            // Index is shown as 1-based to match with other wallets UX
            title: `${key + 1}`,
            value: key,
        }));
        const value = +(await options_resolver_1.OptionsChoiceResolver(options, 'pathNumber', 'Select the child account number:', choices, 'select', undefined));
        return value;
    }
}
exports.PathNumberResolver = PathNumberResolver;
