"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProfileNameResolver = void 0;
const options_resolver_1 = require("../options-resolver");
/**
 * Profile name resolver
 */
class ProfileNameResolver {
    /**
     * Resolves a profile name provided by the user.
     * @param {Options} options - Command options.
     * @param {string} altText - Alternative text.
     * @param {string} altKey - Alternative key.
     * @returns {Promise<string>}
     */
    async resolve(options, altText, altKey) {
        return await options_resolver_1.OptionsResolver(options, altKey ? altKey : 'profile', () => undefined, altText ? altText : 'Enter a profile name:', 'text', undefined);
    }
}
exports.ProfileNameResolver = ProfileNameResolver;
