"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretResolver = void 0;
const options_resolver_1 = require("../options-resolver");
/**
 * Secret resolver
 */
class SecretResolver {
    /**
     * Resolves an secret provided by the user.
     * @param {Options} options - Command options.
     * @param {string} altText - Alternative text.
     * @param {string} altKey - Alternative key.
     * @returns {Promise<string>}
     */
    async resolve(options, altText, altKey) {
        const resolution = await options_resolver_1.OptionsResolver(options, altKey ? altKey : 'secret', () => undefined, altText ? altText : 'Enter proof hashed in hexadecimal format:', 'text', undefined);
        return resolution;
    }
}
exports.SecretResolver = SecretResolver;
