"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StringResolver = void 0;
const options_resolver_1 = require("../options-resolver");
/**
 * String resolver
 */
class StringResolver {
    /**
     * Resolves a string value provided by the user.
     * @param {Options} options - Command options.
     * @param {string} altText - Alternative text.
     * @param {string} altKey - Alternative key.
     * @returns {Promise<string>}
     */
    async resolve(options, altText, altKey) {
        const resolution = await options_resolver_1.OptionsResolver(options, altKey ? altKey : 'value', () => undefined, altText ? altText : 'Enter a string value:', 'text', undefined);
        return resolution;
    }
}
exports.StringResolver = StringResolver;
