"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AggregateTypeValidator = void 0;
/**
 * AggregateType validator
 */
class AggregateTypeValidator {
    /**
     * Validates if an aggregate type is supported.
     * @param {string} value - Aggregate type friendly name.
     * @returns {true | string}
     */
    validate(value) {
        const keys = ['AGGREGATE_BONDED', 'AGGREGATE_COMPLETE'];
        return keys.includes(value) ? true : 'AggregateType must be one of (' + keys.join(', ') + ')';
    }
}
exports.AggregateTypeValidator = AggregateTypeValidator;
