"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BlockOrderByValidator = void 0;
const symbol_sdk_1 = require("symbol-sdk");
/**
 * Validator of block order by
 */
class BlockOrderByValidator {
    /**
     * Validates if a block order by value is valid.
     * @param {string} value
     * @returns {true | string}
     */
    validate(value) {
        const test = value in symbol_sdk_1.BlockOrderBy;
        return test ? true : 'BlockOrderBy must be one of (Id, Height)';
    }
}
exports.BlockOrderByValidator = BlockOrderByValidator;
