"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionAnnounceModeValidator = void 0;
const transactionAnnounceMode_resolver_1 = require("../resolvers/transactionAnnounceMode.resolver");
/**
 * Validator of transaction announce mode
 */
class TransactionAnnounceModeValidator {
    /**
     * Validates if a transaction announce mode is valid.
     * @param {string} value - TransactionAnnounceMode.
     * @returns {true | string}
     */
    validate(value) {
        const test = value in transactionAnnounceMode_resolver_1.TransactionAnnounceMode;
        return test ? true : 'TransactionAnnounceMode must be one of (multisig, normal)';
    }
}
exports.TransactionAnnounceModeValidator = TransactionAnnounceModeValidator;
