"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TransactionGroupValidator = void 0;
const symbol_sdk_1 = require("symbol-sdk");
/**
 * Validator of transaction group
 */
class TransactionGroupValidator {
    /**
     * Validates if a transaction group  is valid.
     * @param {string} value - Transaction group.
     * @returns {true | string}
     */
    validate(value) {
        const test = value in symbol_sdk_1.TransactionGroup;
        return test ? true : 'TransactionGroup must be one of (Unconfirmed, Confirmed, Partial)';
    }
}
exports.TransactionGroupValidator = TransactionGroupValidator;
