"use strict";
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.MosaicAliasView = void 0;
const symbol_sdk_1 = require("symbol-sdk");
const namespaces_view_1 = require("../../../namespaces.view");
class MosaicAliasView {
    /**
     * @static
     * @param {MosaicAliasTransaction} tx
     * @returns {CellRecord}
     */
    static get(tx) {
        return {
            'Alias action': symbol_sdk_1.AliasAction[tx.aliasAction],
            'Mosaic Id': tx.mosaicId.toHex(),
            'Namespace Id': namespaces_view_1.NamespacesView.getNamespaceLabel(tx.namespaceId),
        };
    }
}
exports.MosaicAliasView = MosaicAliasView;
