"use strict";
/*
 *
 * Copyright 2018-present NEM
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 */
Object.defineProperty(exports, "__esModule", { value: true });
exports.SecretLockView = void 0;
const symbol_sdk_1 = require("symbol-sdk");
const mosaics_view_1 = require("../../../mosaics.view");
const recipients_view_1 = require("../../../recipients.view");
class SecretLockView {
    /**
     * @static
     * @param {SecretLockTransaction} tx
     * @returns {CellRecord}
     */
    static get(tx) {
        return {
            Recipient: recipients_view_1.RecipientsView.get(tx.recipientAddress),
            ...mosaics_view_1.MosaicsView.get([tx.mosaic]),
            Duration: tx.duration.toString(),
            'Hash type': symbol_sdk_1.LockHashAlgorithm[tx.hashAlgorithm],
            Secret: tx.secret,
        };
    }
}
exports.SecretLockView = SecretLockView;
